### Property

# Adw ToolbarView:reveal-top-bars

since: 1.4

#### Declaration

    property reveal-top-bars: gboolean [ read, write ]

#### Description [src]

Whether top bars are revealed.

The transition will be animated.

This can be used in combination with `AdwToolbarView:extend-content-to-top-edge` to show and hide toolbars in fullscreen.

See `AdwToolbarView:reveal-bottom-bars`.

Type:`gboolean`

Available since: 1.4

Default value | TRUE
Getter method | `adw_toolbar_view_get_reveal_top_bars()`
Setter method | `adw_toolbar_view_set_reveal_top_bars()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no